import { Connection, PublicKey } from '@solana/web3.js';
import { Account as TokenAccount } from '@solana/spl-token';
export declare const findVaultOwnerAddress: (mint: PublicKey, store: PublicKey) => Promise<[PublicKey, number]>;
export declare const findTreasuryOwnerAddress: (treasuryMint: PublicKey, sellingResource: PublicKey) => Promise<[PublicKey, number]>;
export declare const findTradeHistoryAddress: (wallet: PublicKey, market: PublicKey) => Promise<[PublicKey, number]>;
export declare const findPayoutTicketAddress: (market: PublicKey, funder: PublicKey) => Promise<[PublicKey, number]>;
export declare const findPrimaryMetadataCreatorsAddress: (metadata: PublicKey) => Promise<[PublicKey, number]>;
export declare const validateMembershipToken: (connection: Connection, me: PublicKey, ta: TokenAccount) => Promise<boolean>;
