/// <reference types="@metaplex-foundation/beet-solana/node_modules/@solana/web3.js" />
import { Connection, PublicKey } from '@solana/web3.js';
import { PayerTransactionHandler } from '@metaplex-foundation/amman-client';
interface MintTokenToAccountParams {
    connection: Connection;
    payer: PublicKey;
    transactionHandler: PayerTransactionHandler;
}
export declare const mintTokenToAccount: ({ connection, payer, transactionHandler, }: MintTokenToAccountParams) => Promise<{
    mint: import("@solana/web3.js").Keypair;
    mintAta: import("@solana/web3.js").Keypair;
}>;
export {};
