import { Connection, Keypair, PublicKey } from '@solana/web3.js';
import { PayerTransactionHandler } from '@metaplex-foundation/amman-client';
import { Creator } from '@metaplex-foundation/mpl-token-metadata';
declare type MintNFTParams = {
    transactionHandler: PayerTransactionHandler;
    payer: Keypair;
    connection: Connection;
    maxSupply?: number;
    creators?: Creator[];
    collectionMint?: PublicKey;
};
export declare function mintNFT({ transactionHandler, payer, connection, creators, collectionMint, maxSupply, }: MintNFTParams): Promise<{
    tokenAccount: Keypair;
    edition: import("@metaplex-foundation/js").Pda;
    editionBump: number;
    mint: Keypair;
    metadata: import("@metaplex-foundation/js").Pda;
}>;
export {};
